import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')
 
from Soti.Connect.SemanticEngine.Conversions import Converter
 
print("Loading PrinterSimulatorWlanNetworkMode Converter")
 
class PrinterSimulatorWlanNetworkMode(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "Auto":
            res = "DHCP"
        elif args[0] == "Static":
            res = "Static"
        return res
 
 
 
plugin = PrinterSimulatorWlanNetworkMode("PrinterSimulatorWlanNetworkMode")
 
store.AddConverter(plugin)